#
# (C) Tenable Network Security
#
if(description)
{
 script_id(12205);
 script_cve_id( "CAN-2003-0907", "CAN-2003-0908", "CAN-2003-0909",
		"CAN-2003-0910", "CAN-2004-0117", "CAN-2004-0118", "CAN-2004-0119", "CAN-2004-0121");
 if(defined_func("script_xref"))script_xref(name:"CVE", value:"CAN-2003-0533");
 if(defined_func("script_xref"))script_xref(name:"CVE", value:"CAN-2003-0663");
 if(defined_func("script_xref"))script_xref(name:"CVE", value:"CAN-2003-0719");
 if(defined_func("script_xref"))script_xref(name:"CVE", value:"CAN-2003-0806");
 if(defined_func("script_xref"))script_xref(name:"CVE", value:"CAN-2003-0906");
 if(defined_func("script_xref"))script_xref(name:"IAVA", value:"2004-A-0006");

 script_version("$Revision: 1.9 $");

 name["english"] = "Microsoft Hotfix KB835732 (registry check)";

 script_name(english:name["english"]);

 desc["english"] = "
The remote host is missing a critical Microsoft Windows Security Update (835732).

This update fixes various flaws which may allow an attacker to execute arbitrary code
on the remote host.

Solution : Install the Windows cumulative update from Microsoft 
See also : http://www.microsoft.com/technet/security/bulletin/ms04-011.mspx
Risk factor : High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for ms04-011";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("netbios_name_get.nasl",
 		     "smb_login.nasl","smb_registry_full_access.nasl",
		     "smb_reg_service_pack_W2K.nasl",
		     "smb_reg_service_pack_XP.nasl");
 script_require_keys("SMB/name", "SMB/login", "SMB/password",
		     "SMB/registry_full_access","SMB/WindowsVersion");


 script_require_ports(139, 445);
 exit(0);
}

include("smb_nt.inc");
port = get_kb_item("SMB/transport");
if(!port)port = 139;


access = get_kb_item("SMB/registry_full_access");
if(!access)exit(0);

version = get_kb_item("SMB/WindowsVersion");

if ( ! version ) exit(0);

key = "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Hotfix\KB835732";
item = "Comments";

value = registry_get_sz(item:item, key:key);
if ( value ) {
  set_kb_item(name:"SMB/KB835732", value:TRUE);
  exit(0);
}

if("4.0" >< version )
{
 security_hole(port);
}


if("5.0" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows 2000\SP5\KB835732";
 item = "Description";

# Will be fixed in Service Pack 5
 sp = get_kb_item("SMB/Win2K/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [5-9]"))exit(0);
  
 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
 else set_kb_item(name:"SMB/KB835732", value:TRUE);

}

if("5.1" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP1\KB835732";
 item = "Description";

  
 value = registry_get_sz(item:item, key:key);
 if(!value){
 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP2\KB835732";
 value = registry_get_sz(item:item, key:key);
 if ( value ) 
	{
 	set_kb_item(name:"SMB/KB835732", value:TRUE);
	exit(0);
	}
 }
 else set_kb_item(name:"SMB/KB835732", value:TRUE);
	
# Will be fixed in Service Pack 2
 sp = get_kb_item("SMB/WinXP/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [2-9]")) exit(0);

 security_hole(port);
}

if("5.2" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows Server 2003\SP1\KB835732";
 item = "Description";
# Will be fixed in Service Pack 1
 sp = get_kb_item("SMB/Win2003/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [1-9]"))exit(0);
 
 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
 else set_kb_item(name:"SMB/KB835732", value:TRUE);
}
