#
# (C) Tenable Network Security
#
if(description)
{
 script_id(13639);
 script_version("$Revision: 1.1 $");
 script_cve_id("CAN-2004-0205");
 name["english"] = "IIS Redirection Vulnerability (841373) (registry check)";

 script_name(english:name["english"]);

 desc["english"] = "
The remote host is running a version of IIS 4.0 which is vulnerable to a remote
flaw which may allow an attacker to take the control of the remote web server
and execute arbitrary commands on the remote host with the SYSTEM privileges.

Solution : http://www.microsoft.com/technet/security/bulletin/ms04-021.mspx
Risk factor : High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for ms04-021 over the registry";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("netbios_name_get.nasl", "smb_login.nasl", "smb_registry_full_access.nasl", "smb_reg_service_pack_W2K.nasl");
 script_require_keys("SMB/name", "SMB/login", "SMB/password",
		     "SMB/registry_full_access","SMB/WindowsVersion");


 script_require_ports(139, 445);
 exit(0);
}

include("smb_nt.inc");
port = get_kb_item("SMB/transport");
if(!port)port = 139;


access = get_kb_item("SMB/registry_full_access");
if(!access)exit(0);
version = get_kb_item("SMB/WindowsVersion");
if ( ! version || "4.0" >!< version ) exit(0);

key = "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Hotfix\KB841373";
item = "Comments";
value = registry_get_sz(item:item, key:key);
if ( ! value ) security_hole(port);

