#
# (C) Tenable Network Security
#
if(description)
{
 script_id(12206);
 script_cve_id( "CAN-2003-0813", "CAN-2004-0116", "CAN-2003-0807", "CAN-2004-0124");
 if( defined_func("script_xref") )script_xref(name:"IAVA", value:"2004-A-0005");

 
 script_version("$Revision: 1.4 $");

 name["english"] = "Microsoft Hotfix KB828741 (registry check)";

 script_name(english:name["english"]);

 desc["english"] = "
The remote host has multiple bugs in its RPC/DCOM implementation (828741).

An attacker may exploit one of these flaws to execute arbitrary code on the
remote system.

Solution : http://www.microsoft.com/technet/security/bulletin/ms04-012.mspx
Risk factor : High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for ms04-012";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("netbios_name_get.nasl",
 		     "smb_login.nasl","smb_registry_full_access.nasl",
		     "smb_reg_service_pack_W2K.nasl",
		     "smb_reg_service_pack_XP.nasl");
 script_require_keys("SMB/name", "SMB/login", "SMB/password",
		     "SMB/registry_full_access","SMB/WindowsVersion");


 script_require_ports(139, 445);
 exit(0);
}

include("smb_nt.inc");
port = get_kb_item("SMB/transport");
if(!port)port = 139;


access = get_kb_item("SMB/registry_full_access");
if(!access)exit(0);

version = get_kb_item("SMB/WindowsVersion");

if ( ! version ) exit(0);


if("4.0" >< version )
{
 key = "SOFTWARE\Microsoft\Windows NT\CurrentVersion\Hotfix\KB828741";
 item = "Comments";

 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
}


if("5.0" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows 2000\SP5\KB828741";
 item = "Description";

# Will be fixed in Service Pack 5
 sp = get_kb_item("SMB/Win2K/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [5-9]"))exit(0);
  
 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
}

if("5.1" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP1\KB828741";
 item = "Description";

  
 value = registry_get_sz(item:item, key:key);
 if(!value){
 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP2\KB828741";
 value = registry_get_sz(item:item, key:key);
 if ( value ) exit(0);
 }
 else exit(0);
	
# Will be fixed in Service Pack 2
 sp = get_kb_item("SMB/WinXP/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [2-9]"))exit(0);

 security_hole(port);
}

if("5.2" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows Server 2003\SP1\KB828741";
 item = "Description";
# Will be fixed in Service Pack 1
 sp = get_kb_item("SMB/Win2003/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [1-9]"))exit(0);
 
 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
}
