#
# (C) Tenable Network Security
#
if(description)
{
 script_id(12235);
 script_cve_id("CAN-2004-0199");
 script_bugtraq_id(10321);
 script_version("$Revision: 1.2 $");
 name["english"] = "Microsoft Help Center Remote Code Execution (840374)";

 script_name(english:name["english"]);

 desc["english"] = "
The remote host contains bugs in the Microsoft Help and Support Center 
in the way it handles HCP URL validation. (840374)

An attacker could use this bug to execute arbitrary commands on the
remote host. To exploit this bug, an attacker would need to lure a user
of the remote host into visiting a rogue website or to click on a link
received in an email.

Solution : http://www.microsoft.com/technet/security/bulletin/ms04-015.mspx
Risk factor : High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for ms04-015 over the registry";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Windows";
 script_family(english:family["english"]);
 
 script_dependencies("netbios_name_get.nasl",
 		     "smb_login.nasl","smb_registry_full_access.nasl",
		     "smb_reg_service_pack_XP.nasl");
 script_require_keys("SMB/name", "SMB/login", "SMB/password",
		     "SMB/registry_full_access","SMB/WindowsVersion");


 script_require_ports(139, 445);
 exit(0);
}

include("smb_nt.inc");
port = get_kb_item("SMB/transport");
if(!port)port = 139;


access = get_kb_item("SMB/registry_full_access");
if(!access)exit(0);

version = get_kb_item("SMB/WindowsVersion");

if ( ! version ) exit(0);


if("5.1" >< version)
{
# Will be fixed in Service Pack 2
 sp = get_kb_item("SMB/WinXP/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [2-9]"))exit(0);



 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP1\KB840374";
 item = "Description";
  
 value = registry_get_sz(item:item, key:key);
 if(!value){
 key = "SOFTWARE\Microsoft\Updates\Windows XP\SP2\KB840374";
 value = registry_get_sz(item:item, key:key);
 if ( value ) exit(0);
 }
 else exit(0);
	

 security_hole(port);
}

if("5.2" >< version)
{
 key = "SOFTWARE\Microsoft\Updates\Windows Server 2003\SP1\KB840374";
 item = "Description";
# Will be fixed in Service Pack 1
 sp = get_kb_item("SMB/Win2003/ServicePack");
 if(ereg(string:sp, pattern:"Service Pack [1-9]"))exit(0);
 
 value = registry_get_sz(item:item, key:key);
 if(!value)security_hole(port);
}
